Plack::Test::Suite(3)

NAME
Plack::Test::Suite - Test suite for Plack handlers

SYNOPSIS
  use Test::More;
  use Plack::Test::Suite;
  Plack::Test::Suite->run_server_tests('Your::Handler');
  done_testing;

DESCRIPTION
Plack::Test::Suite is a test suite to test a new PSGI server implementation. It automatically loads a new handler environment and uses LWP to send HTTP requests to the local server to make sure your handler implements the PSGI specification correctly.

Note that the handler name doesn't include the "Plack::Handler::" prefix, i.e. if you have a new Plack handler Plack::Handler::Foo, your test script would look like:

  Plack::Test::Suite->run_server_tests('Foo');

AUTHOR
Tokuhiro Matsuno

Tatsuhiko Miyagawa

Kazuho Oku